%% new_Cell
%    creates a new cell in the current grid.
% inputs:
%   object:Grid - current Grid object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = new_Cell(object)
cell = Cell(object.num_cells+1,object);
object.num_cells = object.num_cells + 1;
object.cells = [object.cells cell];
% refresh the rGrid so that a new results cell is created
if(~isempty(object.rGrid))
    object.rGrid.refresh;
end
end

